# HG changeset patch
# User Petri Hintukainen <phintuka@users.sourceforge.net>
# Date 1310235248 -10800
# Node ID fa9934ef17b0d0c13081bda2a7220b4e098ddf02
# Parent  4785c485eef1dc8748ffb15454a6fb885caa9ef9
Fixed 20-bit BluRay PCM audio. In this format samples are padded to 24 bits, 4 lowest bits are 0 --> Handle as 24-bit BluRay PCM.

diff -r 4785c485eef1 -r fa9934ef17b0 src/libxineadec/xine_lpcm_decoder.c
--- a/src/libxineadec/xine_lpcm_decoder.c	Sat Jul 09 21:09:38 2011 +0300
+++ b/src/libxineadec/xine_lpcm_decoder.c	Sat Jul 09 21:14:08 2011 +0300
@@ -116,7 +116,8 @@
       num_channels = channels[(buf->decoder_info[2] >> (16+4)) & 0x0f];
       switch ((buf->decoder_info[2] >> (24+6)) & 0x03) {
         case 1:  bits_per_sample = 16; break;
-        case 2:  bits_per_sample = 20; break;
+        case 2:/*bits_per_sample = 20; break;*/
+                 /* fall thru. Samples are 0-padded to 24 bits. */
         case 3:  bits_per_sample = 24; break;
         default: bits_per_sample =  0; break;
       }
